Eclipse Platform Release 3.7

## org.eclipse.ui.forms.events
Class ExpansionEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.ui.forms.events.ExpansionEvent

All Implemented Interfaces:
  Serializable

    public final class ExpansionEvent

extends TypedEvent

Notifies listeners when expandable controls change expansion state.

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ExpansionEvent(Object obj, boolean state)` Creates a new expansion ecent.

Method Summary
`boolean` `getState()` Returns the new expansion state of the widget.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpansionEvent

    public ExpansionEvent(Object obj,
                          boolean state)

  Creates a new expansion ecent.

  Parameters:
    `obj` - event source
    `state` - the new expansion state

Method Detail

### getState

    public boolean getState()

  Returns the new expansion state of the widget.

  Returns:
    `true` if the widget is now expaned, `false` otherwise.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.